* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; }

@font-face {
  font-family: "FC";
  src: url("../../assets/fonts/Fragmentcore.otf"); }
@font-face {
  font-family: "A";
  src: url("../../assets/fonts/Acme-Regular.ttf"); }
#navbar {
  background-color: #414141;
  height: 80px;
  display: flex;
  flex-direction: row;
  justify-content: space-between; }
  #navbar #brand, #navbar #connexion {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 100%;
    margin-left: 50px; }
    #navbar #brand h1, #navbar #connexion h1 {
      color: #fff;
      margin-left: 10px;
      font-family: "FC";
      font-size: 48px;
      margin-right: 50px;
      transition: 0.2s ease-in; }
      #navbar #brand h1:hover, #navbar #connexion h1:hover {
        color: #F1C40F;
        transition: 0.2s ease-in; }
    #navbar #brand a, #navbar #connexion a {
      color: #fff;
      cursor: pointer;
      font-family: "A";
      font-size: 24px;
      text-decoration: none;
      transition: 0.2s ease-in; }
      #navbar #brand a:hover, #navbar #connexion a:hover {
        color: #F1C40F;
        transition: 0.2s ease-in; }
  #navbar #connexion a {
    color: #fff;
    cursor: pointer;
    font-family: "A";
    font-size: 24px;
    text-decoration: none;
    transition: 0.2s ease-in;
    margin-right: 50px; }
    #navbar #connexion a:hover {
      color: #F1C40F;
      transition: 0.2s ease-in; }
  #navbar #toggle_menu {
    display: none;
    flex-direction: row;
    align-items: center;
    height: 100%;
    margin-right: 10px;
    cursor: pointer; }
    #navbar #toggle_menu svg path {
      transition: 0.2s ease-in; }
    #navbar #toggle_menu:hover svg path {
      transition: 0.2s ease-in;
      fill: #F1C40F; }

#modal_menu {
  position: fixed;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  top: 80px;
  height: 100vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(5px); }
  #modal_menu a {
    color: #fff;
    cursor: pointer;
    font-family: "A";
    font-size: 24px;
    text-decoration: none;
    transition: 0.2s ease-in; }
    #modal_menu a:hover {
      color: #F1C40F;
      transition: 0.2s ease-in; }
    #modal_menu a:first-child {
      margin-bottom: 10px; }
    #modal_menu a:nth-child(2) {
      margin-top: 10px; }

.active {
  display: flex !important; }

#home_header {
  font-family: "FC";
  color: #414141;
  font-size: 48px;
  margin: 30px 0px 30px 50px; }

.sondages_deck {
  margin: 40px 50px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px 20px;
  padding: 0;
  text-decoration: none; }
  .sondages_deck .sondage {
    height: auto;
    border: 5px solid #C4C4C4;
    border-radius: 20px;
    cursor: pointer;
    text-decoration: none;
    transition: 0.1s ease-in; }
    .sondages_deck .sondage h2 {
      color: #000;
      text-align: center;
      font-family: "A";
      margin: 40px 15px;
      text-decoration: none; }
    .sondages_deck .sondage p {
      color: rgba(0, 0, 0, 0.6);
      font-family: "A";
      margin-right: 15px;
      line-height: 2em;
      font-size: 18px;
      text-decoration: none;
      text-align: right; }
    .sondages_deck .sondage:hover {
      transform: scale(1.02);
      border: 5px solid #414141;
      transition: 0.1s ease-in; }

#add_sondage {
  margin-left: 50px;
  padding: 10px 20px;
  background-color: #414141;
  border: 3px solid #414141;
  border-radius: 10px;
  color: #fff;
  font-family: "A";
  font-size: 18px;
  transition: 0.1s ease-in;
  text-decoration: none; }
  #add_sondage:hover {
    color: #414141;
    background-color: #fff;
    transition: 0.1s ease-in; }

.ariane {
  display: flex;
  flex-direction: row;
  margin-top: 30px;
  margin-left: 50px; }
  .ariane a {
    color: #000;
    font-family: "A";
    font-size: 18px; }
  .ariane p {
    color: #414141;
    font-family: "A";
    font-size: 18px; }

#new_sondage_box {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 50px; }
  #new_sondage_box form {
    border: 3px solid #414141;
    border-radius: 20px;
    padding: 30px;
    min-width: 50%; }
    #new_sondage_box form .remove_button {
      background-color: red;
      border: 3px solid red; }
      #new_sondage_box form .remove_button:hover {
        color: red; }
    #new_sondage_box form .divider {
      width: 100%;
      height: 3px;
      background-color: #414141;
      margin: 15px auto; }
    #new_sondage_box form div {
      display: flex;
      flex-direction: column; }
      #new_sondage_box form div label {
        margin-bottom: 5px;
        font-family: "A";
        font-size: 24px;
        color: #414141; }
      #new_sondage_box form div input {
        margin-bottom: 20px;
        min-height: 30px; }
      #new_sondage_box form div select {
        margin-bottom: 20px;
        min-height: 30px; }
    #new_sondage_box form button {
      background-color: #414141;
      border: 3px solid #414141;
      padding: 5px;
      border-radius: 10px;
      color: #fff;
      font-family: "A";
      font-size: 18px;
      transition: 0.1s ease-in;
      text-decoration: none;
      cursor: pointer;
      margin-bottom: 20px; }
      #new_sondage_box form button:hover {
        color: #414141;
        background-color: #fff;
        transition: 0.1s ease-in; }
    #new_sondage_box form ul {
      list-style: none; }
      #new_sondage_box form ul .remove_button {
        margin-top: -25px; }
    #new_sondage_box form #submit {
      width: 100%; }

.reponse div:nth-child(2) {
  display: none; }

.warning_block {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-bottom: 30px !important; }
  .warning_block .warning_text {
    margin: 25px auto 0px auto;
    font-weight: bold; }
  .warning_block #warning_connect {
    margin-top: 30px; }
    .warning_block #warning_connect:before {
      width: 100%;
      content: '';
      border-bottom: 3px solid #414141;
      bottom: -30px;
      margin-bottom: 30px; }
  .warning_block #warning_register {
    margin-top: 20px; }
  .warning_block #warning_connect, .warning_block #warning_register {
    min-width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center; }
  .warning_block .warning_link {
    margin-top: 5px;
    background-color: #414141;
    border: 3px solid #414141;
    padding: 5px;
    border-radius: 10px;
    color: #fff;
    font-family: "A";
    font-size: 18px;
    transition: 0.1s ease-in;
    text-decoration: none;
    cursor: pointer;
    margin-bottom: 20px;
    width: 100%;
    text-align: center; }
    .warning_block .warning_link:hover {
      color: #414141;
      background-color: #fff;
      transition: 0.1s ease-in; }

#sondage_box {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 50px; }
  #sondage_box #sondage {
    border: 3px solid #414141;
    border-radius: 20px;
    padding: 30px 30px 0px 30px;
    min-width: 50%; }
    #sondage_box #sondage h1 {
      font-family: "A";
      text-align: center; }
    #sondage_box #sondage form {
      padding: 30px; }
      #sondage_box #sondage form input {
        margin-bottom: 20px; }
      #sondage_box #sondage form label {
        font-family: "A";
        font-size: 24px; }
      #sondage_box #sondage form #sondage_buttons button, #sondage_box #sondage form #sondage_buttons a {
        margin-top: 5px;
        background-color: #414141;
        border: 3px solid #414141;
        padding: 5px;
        border-radius: 10px;
        color: #fff;
        font-family: "A";
        font-size: 18px;
        transition: 0.1s ease-in;
        text-decoration: none;
        cursor: pointer;
        margin-bottom: 20px; }
        #sondage_box #sondage form #sondage_buttons button:disabled, #sondage_box #sondage form #sondage_buttons a:disabled {
          opacity: 0.6; }
          #sondage_box #sondage form #sondage_buttons button:disabled:hover, #sondage_box #sondage form #sondage_buttons a:disabled:hover {
            color: #fff;
            background-color: #414141;
            cursor: default; }
        #sondage_box #sondage form #sondage_buttons button:hover, #sondage_box #sondage form #sondage_buttons a:hover {
          color: #414141;
          background-color: #fff;
          transition: 0.1s ease-in; }
    #sondage_box #sondage p {
      font-family: "FC";
      color: #000;
      font-size: 24px;
      margin-bottom: 10px; }
    #sondage_box #sondage h3 {
      font-family: "FC";
      color: #414141;
      font-size: 32px;
      margin-bottom: 30px;
      text-align: center; }
    #sondage_box #sondage progress {
      height: 30px;
      width: 100%;
      margin-bottom: 30px;
      border-radius: 0px; }
      #sondage_box #sondage progress::-webkit-progress-bar {
        border-top-right-radius: 15px;
        border-bottom-right-radius: 15px; }
      #sondage_box #sondage progress::-webkit-progress-value {
        background: #F1C40F;
        border-top-right-radius: 15px;
        border-bottom-right-radius: 15px; }

#admin_options {
  margin: 30px auto auto 50px;
  display: flex; }
  #admin_options a, #admin_options #delete_sondage {
    background-color: #414141;
    border: 3px solid #414141;
    padding: 5px;
    border-radius: 10px;
    color: #fff;
    font-family: "A";
    font-size: 18px;
    transition: 0.1s ease-in;
    text-decoration: none;
    cursor: pointer;
    margin-right: 5px; }
    #admin_options a:hover, #admin_options #delete_sondage:hover {
      color: #414141;
      background-color: #fff;
      transition: 0.1s ease-in; }
  #admin_options #delete_sondage {
    background-color: red;
    border: 3px solid red; }
    #admin_options #delete_sondage:hover {
      color: red; }

#register_form {
  margin-top: 50px;
  margin-left: 50px; }

#register_box {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 50px; }
  #register_box #register {
    border: 3px solid #414141;
    border-radius: 20px;
    padding: 30px 30px 0px 30px;
    min-width: 50%; }
    #register_box #register .registration_block {
      display: flex;
      flex-direction: column; }
      #register_box #register .registration_block input {
        margin-bottom: 20px;
        height: 30px; }
      #register_box #register .registration_block label {
        font-family: "A";
        font-size: 24px; }
    #register_box #register ul {
      list-style: none; }
      #register_box #register ul li {
        color: red; }
    #register_box #register h1 {
      font-family: "A";
      text-align: center; }
    #register_box #register form {
      padding: 30px; }
    #register_box #register .registration_block {
      display: flex;
      flex-direction: column; }
      #register_box #register .registration_block input {
        margin-bottom: 20px;
        height: 30px; }
      #register_box #register .registration_block label {
        font-family: "A";
        font-size: 24px; }
    #register_box #register input {
      margin-bottom: 20px; }
    #register_box #register label {
      font-family: "A";
      font-size: 24px; }
    #register_box #register button {
      margin-top: 30px;
      background-color: #414141;
      border: 3px solid #414141;
      padding: 5px;
      border-radius: 10px;
      color: #fff;
      font-family: "A";
      width: 100%;
      font-size: 18px;
      transition: 0.1s ease-in;
      text-decoration: none;
      cursor: pointer;
      margin-bottom: 20px; }
      #register_box #register button:hover {
        color: #414141;
        background-color: #fff;
        transition: 0.1s ease-in; }

.account_section {
  font-size: 30px;
  text-align: center;
  color: #414141;
  font-family: "A"; }

#first_account_session {
  margin-top: 50px; }

#published_deck, #brouillon_deck {
  text-align: center; }
  #published_deck p, #brouillon_deck p {
    font-family: "A";
    font-size: 24px;
    color: #414141;
    opacity: 0.6; }

#user_buttons {
  margin-top: 50px;
  display: flex;
  flex-direction: row; }

#logout {
  margin-left: 5px;
  background-color: red;
  border: 3px solid red;
  transition: 0.1s ease-in;
  padding: 10px 20px;
  border-radius: 10px;
  color: #fff;
  font-family: "A";
  font-size: 18px;
  text-decoration: none;
  text-decoration: none; }
  #logout:hover {
    color: red;
    background-color: #fff;
    transition: 0.1s ease-in; }

@media (max-width: 992px) {
  .sondages_deck {
    grid-template-columns: 1fr 1fr !important; } }
@media (max-width: 768px) {
  #navbar #connexion {
    display: none; }

  #navbar #brand {
    margin-left: 10px; }

  #toggle_menu {
    display: flex !important; }

  #home_header {
    margin-left: 10px; }

  .sondages_deck {
    margin: 40px 10px; }

  #add_sondage {
    margin-left: 10px; }

  #new_sondage_box {
    margin: 10px; }
    #new_sondage_box form {
      min-width: 80%; }

  .ariane {
    margin-left: 10px; }

  #sondage_box #sondage {
    min-width: 80%;
    margin: 10px; }
    #sondage_box #sondage form {
      padding-bottom: 0px !important; }
    #sondage_box #sondage #sondage_buttons {
      display: flex;
      flex-direction: column; }
      #sondage_box #sondage #sondage_buttons button {
        margin-bottom: 0px !important;
        width: 100%; }
      #sondage_box #sondage #sondage_buttons a {
        text-align: center; }

  .register_fix {
    padding: 0px !important; }

  #inputPassword, #registration_form_plainPassword {
    margin-bottom: 0px !important; }

  #admin_options {
    margin: 30px 10px auto 10px !important;
    flex-direction: column; }
    #admin_options a {
      margin-bottom: 5px;
      text-align: center; }
    #admin_options a, #admin_options #delete_sondage {
      width: 100%; } }
@media (max-width: 576px) {
  .sondages_deck {
    grid-template-columns: 1fr !important; }

  #user_buttons {
    flex-direction: column; }
    #user_buttons #logout {
      margin-left: 10px !important;
      margin-top: 20px; }
    #user_buttons #logout, #user_buttons #add_sondage {
      margin-right: 10px !important;
      text-align: center; } }

/*# sourceMappingURL=app.css.map */
